Community Packages

Please read this before reporting a bug:
http://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#62669 - [puppet] Dependency on ruby-augeas is missing

Attached to Project: Community Packages
Opened by Tim (bastelfreak) - Friday, 17 May 2019, 20:37 GMT
Last edited by Christian Rebischke (Shibumi) - Wednesday, 22 May 2019, 13:20 GMT
Task Type Bug Report
Category Packages
Status Closed
Assigned To Christian Rebischke (Shibumi)
Architecture All
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

Description: puppet/puppet5 isn't working properly without ruby-augeas

Certain actions within puppet require the ruby-augeas package. Can you please add it as a dependency?

Cheers, Tim
This task depends upon

Closed by  Christian Rebischke (Shibumi)
Wednesday, 22 May 2019, 13:20 GMT
Reason for closing:  Fixed
Additional comments about closing:  puppet-6.4.2-2
Comment by Tim (bastelfreak) - Saturday, 18 May 2019, 17:30 GMT
Besides this, both packages should depend on ruby. This is currently only working by accident because they depend on facter, which in turn depends on ruby (which is, in my opinion, another bug).

Loading...